Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Persistence/Content/Type.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Persistence\Content;
8
9 use eZ\Publish\SPI\Persistence\ValueObject;
10
14 class Type extends ValueObject
15 {
17 const STATUS_DEFINED = 0;
18
20 const STATUS_DRAFT = 1;
21
23 const STATUS_MODIFIED = 2;
24
30 public $id;
31
37 public $status = self::STATUS_DRAFT;
38
49 public $name;
50
61 public $description = [];
62
68 public $identifier;
69
75 public $created;
76
82 public $modified;
83
89 public $creatorId;
90
96 public $modifierId;
97
103 public $remoteId;
104
114 public $urlAliasSchema;
115
126 public $nameSchema;
127
133 public $isContainer;
134
140 public $initialLanguageId;
141
149 public $sortField = Location::SORT_FIELD_PUBLISHED;
150
158 public $sortOrder = Location::SORT_ORDER_DESC;
159
165 public $groupIds = [];
166
172 public $fieldDefinitions = [];
173
182 public $defaultAlwaysAvailable = false;
183
189 public $languageCodes = [];
190 }
eZ\Publish\SPI\Persistence\Content\Location\SORT_FIELD_PUBLISHED
const SORT_FIELD_PUBLISHED
Definition: SPI/Persistence/Content/Location.php:19
eZ\Publish\SPI\Persistence\Content\Location\SORT_ORDER_DESC
const SORT_ORDER_DESC
Definition: SPI/Persistence/Content/Location.php:31
eZ\Publish\SPI\Persistence\Content\Type
SPI Persistence Content\Type value object.
Definition: SPI/Persistence/Content/Type.php:15
eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED
const STATUS_DEFINED
Definition: SPI/Persistence/Content/Type.php:17
eZ\Publish\SPI\Persistence\Content\Type\$identifier
$identifier
Definition: SPI/Persistence/Content/Type.php:68
eZ\Publish\SPI\Persistence\Content\Type\$defaultAlwaysAvailable
$defaultAlwaysAvailable
Definition: SPI/Persistence/Content/Type.php:182
eZ\Publish\SPI\Persistence\Content\Type\$urlAliasSchema
$urlAliasSchema
Definition: SPI/Persistence/Content/Type.php:114
eZ\Publish\SPI\Persistence\Content\Type\$remoteId
$remoteId
Definition: SPI/Persistence/Content/Type.php:103
eZ\Publish\SPI\Persistence\Content\Type\$id
$id
Definition: SPI/Persistence/Content/Type.php:30
eZ\Publish\SPI\Persistence\Content\Type\$fieldDefinitions
$fieldDefinitions
Definition: SPI/Persistence/Content/Type.php:172
eZ\Publish\SPI\Persistence\Content\Type\$created
$created
Definition: SPI/Persistence/Content/Type.php:75
eZ\Publish\SPI\Persistence\Content\Type\$modifierId
$modifierId
Definition: SPI/Persistence/Content/Type.php:96
eZ\Publish\SPI\Persistence\Content\Type\$sortField
$sortField
Definition: SPI/Persistence/Content/Type.php:149
eZ\Publish\SPI\Persistence\Content\Type\$creatorId
$creatorId
Definition: SPI/Persistence/Content/Type.php:89
eZ\Publish\SPI\Persistence\Content\Type\$groupIds
$groupIds
Definition: SPI/Persistence/Content/Type.php:165
eZ\Publish\SPI\Persistence\Content\Type\$sortOrder
$sortOrder
Definition: SPI/Persistence/Content/Type.php:158
eZ\Publish\SPI\Persistence\Content\Type\$languageCodes
$languageCodes
Definition: SPI/Persistence/Content/Type.php:189
eZ\Publish\SPI\Persistence\Content\Type\$name
$name
Definition: SPI/Persistence/Content/Type.php:49
eZ\Publish\SPI\Persistence\Content\Type\$modified
$modified
Definition: SPI/Persistence/Content/Type.php:82
eZ\Publish\SPI\Persistence\Content\Type\$status
$status
Definition: SPI/Persistence/Content/Type.php:37
eZ\Publish\SPI\Persistence\Content\Type\$initialLanguageId
$initialLanguageId
Definition: SPI/Persistence/Content/Type.php:140
eZ\Publish\SPI\Persistence\Content\Type\STATUS_DRAFT
const STATUS_DRAFT
Definition: SPI/Persistence/Content/Type.php:20
eZ\Publish\SPI\Persistence\Content\Type\$description
$description
Definition: SPI/Persistence/Content/Type.php:61
eZ\Publish\SPI\Persistence\Content\Type\$nameSchema
$nameSchema
Definition: SPI/Persistence/Content/Type.php:126
eZ\Publish\SPI\Persistence\Content\Type\STATUS_MODIFIED
const STATUS_MODIFIED
Definition: SPI/Persistence/Content/Type.php:23
eZ\Publish\SPI\Persistence\Content\Type\$isContainer
$isContainer
Definition: SPI/Persistence/Content/Type.php:133
eZ\Publish\SPI\Persistence\ValueObject
Base SPI Value object.
Definition: SPI/Persistence/ValueObject.php:17
eZ\Publish\SPI\Persistence\Content
Definition: SPI/Persistence/Content/ContentInfo.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.